2003-08-03  Jim Pick  <jim@kaffe.org>

	* README,
	RELEASE-NOTES:
	Updated version number in docs.

	* configure.in:
	Bumped version number.

	* configure,
	kaffe/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	test/internal/Makefile.in:
	Regenerated.

2003-08-03  Timothy S. Stack <stack@cs.utah.edu>

	* kaffe/kaffevm/jni.c:
	Change startJNICall to return the current thread's JNIEnv pointer
	and change Kaffe_wrapper to pass this pointer to the native
	function.
	
2003-08-03  Timothy S. Stack <stack@cs.utah.edu>

	* kaffe/xprof/Makefile.am,
	test/internal/Makefile.am:
	Add $(top_builddir)/include to the include paths.
	
2003-08-01  Dalibor Topic <robilad@kaffe.org>

	Fixes for 'make dist'

	* include/Makefile.am:
	(NOINSTALL_DERIVED_HDRS) Added Arrays.h, errors.h, jsyscall.h and
	native.h.

	(pkginclude_HEADERS) Added java_lang_Object.h, java_lang_String.h,
	java_lang_StackTraceElement.h, java_lang_Thread.h,
	java_lang_ThreadGroup.h, java_lang_Throwable.h,
	java_lang_VMThrowable.h.

	* libraries/extensions/microsoft/clib/Makefile.am:
	(AM_CPPFLAGS) Added $(top_builddir)/include for header files
        generated by kaffeh.

2003-08-01  Helmer Kraemer <hkraemer@freenet.de>

	Fixes for alpha-linux jit.

	* config/alpha/alpha.c:
	(__alpha_nextFrame) fixed frame pointer finding.
 	
	* config/alpha/linux/md.h:
	(SIGNAL_ARGS, SIGNAL_CONTEXT_POINTER,
	GET_SIGNAL_CONTEXT_POINTER, SIGNAL_PC) Added new macros.

2003-08-01  Rob Gonzalez <rob@kaffe.org>

	* kaffe/kaffevm/classMethod.h
	Commented out checks that abstract methods are only in abstract classes.
	
	Also change checks for CSTATE_LINKED to CSTATE_DOING_LINK.
	
2003-08-01  Dalibor Topic <robilad@kaffe.org>

	Header reorganization and fixes for BerkeleyDB, required for
	OpenOffice build.

	* config/mips/netbsd1/md.c, config/mips/ultrix4/md.c,
	include/files.h, include/files.h, include/jni.h, 
	include/native.h, /kaffe/kaffe/main.c, kaffe/kaffeh/mem.c,
	kaffe/kaffeh/support.c, kaffe/kaffevm/code.c, 
	/kaffe/kaffevm/debug.c, kaffe/kaffevm/exception.c,
	kaffe/kaffevm/gtypes.h, kaffe/kaffevm/inflate.c,
	kaffe/kaffevm/itypes.c, kaffe/kaffevm/lookup.c,
	kaffe/kaffevm/stackTrace.c, kaffe/kaffevm/stats.c,
	kaffe/kaffevm/string.c, kaffe/kaffevm/support.c,
	kaffe/kaffevm/support.h, kaffe/kaffevm/thread.c,
	kaffe/kaffevm/utf8const.c, kaffe/xprof/debugFile.c,
	kaffe/xprof/fileSections.c, kaffe/xprof/gmonFile.c,
	kaffe/xprof/mangle.c, kaffe/xprof/memorySamples.c,
	kaffe/xprof/sectionFile.c, kaffe/xprof/xprofiler.c:
	renamed jtypes.h kaffe/jtypes.h. renamed jmalloc.h to 
	kaffe/jmaloc.h.

	* kaffe/jvmpi/Makefile.am, kaffe/kaffe/Makefile.am, 
	kaffe/kaffeh/Makefile.am, kaffe/kaffevm/Makefile.am,
	kaffe/kaffevm/gcj/Makefile.am, kaffe/kaffevm/intrp/Makefile.am,
	kaffe/kaffevm/jit/Makefile.am,kaffe/kaffevm/jit3/Makefile.am,
	kaffe/kaffevm/systems/beos-native/Makefile.am,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.am,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.am,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.am,
	libraries/clib/awt/X/Makefile.am, libraries/clib/io/Makefile.am,
	libraries/clib/management/Makefile.am, 
	libraries/clib/math/Makefile.am, 
	libraries/clib/native/Makefile.am,
	libraries/clib/net/Makefile.am, 
	libraries/clib/security/Makefile.am,
	libraries/clib/zip/Makefile.am,
	libraries/extensions/sound/alsa/Makefile.am,
	libraries/extensions/sound/common/Makefile.am,
	libraries/extensions/sound/esd/Makefile.am,
	replace/Makefile.am:
	(AM_CPPFLAGS) Added $(top_builddir)/include for header files
	generated by kaffeh.

	* include/kaffe/jmalloc.h: moved here from include/jmalloc.h.

	* include/kaffe/jtypes.h.in: moved here from include/jtypes.h.in

	* configure.in:
	(AC_CONFIG_HEADERS) use include/kaffe/jtypes.h instead of 
	include/jtypes.h.

	* include/Makefile.am:
	(INSTALL_DERIVED_HDRS) don't install any derived headers.
	(NOINSTALL_DERIVED_HDRS) Added java_lang_Object.h,
        java_lang_String.h, java_lang_StackTraceElement.h
        java_lang_Thread.h, java_lang_ThreadGroup.h
        java_lang_Throwable.h and java_lang_VMThrowable.h.
	(include_HEADERS) reformatted. Added jni_cpp.h.
	(pkginclude_HEADERS) don't include Arrays.h, errors.h,
	jsyscall.h and native.h. Include kaffe/jtypes.h and 
	kaffe/jmalloc.h.
	(DISTCLEANFILES) replaced jtypes.h with kaffe/jtypes.h.

	Reported by: Chris Halls <halls@debian.org>

2003-07-31  Guilhem Lavaux <guilhem@kaffe.org>

	* libraries/javalib/kjc.jar: Rebuild with the two new patches
	mentioned on the mailing list this day (backpropagation, javac
	compatibility).

2003-07-30  Ito Kazumitsu <kas@maczuka.gcd.org>

	* developers/autogen.sh:
	changed /bin/true to true.

2003-07-30  Rob Gonzalez <rob@kaffe.org>

	* kaffe/kaffevm/verify.c
	Update...prep for pass 3b checkin.

2003-07-29  Rob Gonzalez <rob@kaffe.org>

	* kaffe/kaffevm/verify.c
	(verifyMethod3a) fixed off-by-one errors for tableswitch
	and invokeinterface instructions.

2003-07-29  Dalibor Topic <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-jthreads/syscalls.c:
	(jthreadedMmap) cast pages_sz to unsigned long to avoid
	compilation warning.

2003-07-29  Dalibor Topic <robilad@kaffe.org>

	* libraries/clib/native/Class.c:
	Include exception.h to fix compilation warning.
	Reordered includes to groups.

2003-07-29  Rob Gonzalez <rob@kaffe.org>
	
	* kaffe/kaffevm/classMethod.h
	* kaffe/kaffevm/classMethod.c
	Added CSTATE_DOING_LINK to avoid circular loading problems during verification.

2003-07-29  Helmer Kraemer <hkraemer@freenet.de>

	* libraries/javalib/essential.files:
	Removed gnu/java/locale/Calendar.java,
	gnu/java/locale/Calendar_de.java, gnu/java/locale/Calendar_en.java and
	gnu/java/locale/Calendar_nl.java

	* libraries/javalib/profiles/default/rest.files,
	libraries/javalib/profiles/allatonce/all.files:
	Added gnu/java/locale/Calendar.java,
	gnu/java/locale/Calendar_de.java, gnu/java/locale/Calendar_en.java and
	gnu/java/locale/Calendar_nl.java

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in:
	Regenerated
	
2003-07-28  Rob Gonzalez <rob@kaffe.org>

	* libraries/javalib/essential.files
	fixed "gnu/java/locale/Calendar_nl.javA" to be "gnu/java/locale/Calendar_nl.java"

2003-07-28  Kiyo Inaba <inaba@src.ricoh.co.jp>

	config/alpha/netbsd1/config.frag,
	config/arm/netbsd1/config.frag,
	config/i386/netbsd1/config.frag,
	config/m68k/netbsd1/config.frag,
	config/mips/netbsd1/config.frag,
	config/powerpc/netbsd1/config.frag,
	config/sparc/netbsd1/config.frag:
	Delete 'Khost_cpu' and 'Khost_os' defined in some files.
	'ac_cv_sizeof_int' etc. are now properly handled by 'configure'
   	even for cross compiling.
	'ac_cv_c_char_unsigned' is now set to 'no', when cross compiling.
	'CFLAGS' is now used only to append mandatory settings for the port.

2003-07-28  Timothy S. Stack <stack@cs.utah.edu>

	* kaffe/kaffevm/intrp/stackTrace-impl.h:
	Add empty EXCEPTIONFRAME()/FIRSTFRAME() macros, these need to be
	filled in eventually so JVMPI can do backtraces on threads besides
	the current one.

	* libraries/clib/management/JIT.c,
	libraries/javalib/kaffe/management/JIT.java:
	Remove stale dumpActiveMethods function, it was never implemented
	anyways.
	
2003-07-28  Ito Kazumitsu <kaz@maczuka.gcd.org>
        * libraries/javalib/essential.files: Add gnu/java/locale/Calendar*.java

2003-07-28  Ito Kazumitsu <kaz@maczuka.gcd.org>

	* libraries/javalib/java/util/Calendar.java:
	copied from GNU classpath.
	* libraries/javalib/java/util/GregorianCalendar.java:
	copied from GNU classpath and corrected a bug about
	the week of the month.
	* libraries/javalib/gnu/java/locale,
	libraries/javalib/gnu/java/locale/Calendar.java,
	libraries/javalib/gnu/java/locale/Calendar_de.java
	libraries/javalib/gnu/java/locale/Calendar_en.java,
	libraries/javalib/gnu/java/locale/Calendar_nl.java:
	added a new directory and copied new files from GNU Classpath
	(required by the above two).

2003-07-28  Guilhem Lavaux <guilhem@kaffe.org>

	Fixes to make unix-pthreads compile with JVMPI (but lots of
	not implemented features).

	* kaffe/kaffevm/unix-pthreads/lock-impl.h,
	kaffe/kaffevm/unix-pthreads/thread-impl.h:
	(jcondvar_broadcast) implemented
	(THREAD_*) added to ensure the compatibility with jthreads
	(jthread_suspend, jthread_resume, jthread_from_data,
	jthread_get_usage, jthread_is_interrupted, jthread_on_mutex,
	jthread_on_condvar) added dummy functions.

	Various fixes.

	* libraries/javalib/bootstrap.classlist: Added missing classes
	java.text.MessageFormat$MessagePatternDescription and URLClassLoader.

	* libraries/javalib/java/text/DecimalFormat.java: Fixed parsing of
	the number pattern: missing "exponential" format.

	* kaffe/kaffvm/baseClasses.h: Added external references to
	VMThrowable and StackTraceElement.

	* kaffe/kaffevm/stackTrace.c: added include file
	"java_lang_StackTraceElement.h".

	* libraries/javalib/java/lang/Throwable.java: copied from
	GNU/Classpath.

	* test/regression/TestMessageFormat.java: Hardened the test case.

	* libraries/javalib/Klasses.jar: regenerated.

2003-07-27  Helmer Kraemer <hkraemer@freenet.de>

	* test/internal/jit_stub.c:
	(main) loadStaticClass StringClass

	* test/regression/IndexText.java,
	test/regression/StackDump.java,
	test/regression/ProcessClassInst.java,
	test/regression/ProcessClassStop.java,
	test/regression/ProhibitedClass.java:
	adapted expected output

2003-07-27  Mark Wielaard  <mark@klomp.org>

        * include/Makefile.am (INSTALL_DERIVED_HDRS): Add
        java_lang_VMThrowable.h and java_lang_StackTraceElement.h.
        * include/Makefile.in: Regenerated.
        * kaffe/kaffevm/baseClasses.h (javaLangVMThrowable): New extern
        struct.
        (javaLangStackTraceElement): Likewise.
        * kaffe/kaffevm/baseClasses.c (javaLangVMThrowable): New base class.
        (javaLangVMThrowable): Likewise.
        (initBaseClasses): loadStaticClass new base classes.
        * kaffe/kaffevm/exception.c (throwException): Get and initialize
        vmstate.
        (nullException): Create vmstate for exception.
        (unhandledException): Use new Throwable->detailedMessage field name.
        (floatingException): Create vmstate for exception.
        * kaffe/kaffevm/stackTrace.c (getLineNumber): New method.
        (getStackTraceElements): New method.
        (printStackTrace): Get backtrace from vmState.
        * libraries/clib/native/System.c (java_lang_System_debugE): Use new
        Throwable->detailedMessage field name.
        * libraries/clib/native/Throwable.c
        (java_lang_Throwable_fillInStackTrace): Removed.
        (java_lang_Throwable_printStackTrace0): Likewise.
        (java_lang_VMThrowable_fillInStackTrace): New method.
        (java_lang_VMThrowable_getStackTrace): Likewise.
        * libraries/javalib/java/lang/Throwable.java: Replaced with Classpath
        version.
        * libraries/javalib/java/lang/VMThrowable.java: New class.
        * libraries/javalib/bootstrap.classlist: Add VMThrowable.
        * libraries/javalib/essential.files: Add StackTaceElement and
        VMThrowable.
        * libraries/javalib/Klasses.jar.bootstrap: Regenerated.

2003-07-27  Helmer Kraemer <hkraemer@freenet.de>

	* kaffe/kaffevm/jit/machine.c,
	kaffe/kaffevm/jit3/machine.c:
	(initInsnSequence) insert the translated method as the
	first entry into the constant pool, so it can easily be
	retrieved when creating stack traces

	* kaffe/kaffevm/gcFuncs.c,
	kaffe/kaffevm/jit3/machine.c,
	kaffe/kaffevm/classPool.c:
	removed calls to makeMethodActive and makeMethodInactive,
	as they are no longer necessary

	* kaffe/kaffevm/methodCache.h, kaffe/kaffevm/methodCache.c,
	kaffe/kaffevm/classMethod.h, kaffe/kaffevm/classPool.c:
	wrapped findMethodFromPC and related stuff into #if 0, since
	its not needed at the moment

	* kaffe/kaffevm/intrp/stackTrace-impl.h,
	kaffe/kaffevm/jit/stackTrace-impl.h,
	kaffe/kaffevm/jit3/stackTrace-impl.h:
	new files containing the engine specific part of stack trace
	creation

	* kaffe/kaffevm/stackTrace.c:
	(stackTraceFindMethod) rewrote the translator version
	assuming that the struct methods* of the translated
	method is the first entry in the constant pool; made it
	static
	(buildStackTrace) directly initialize meth field using stackTraceFindMethod
	(printStackTrace) updated accordingly

	* libraries/clib/native/ThreadStack.c:
	(kaffe_lang_ThreadStack_getClassStack) likewise
	
	* kaffe/kaffevm/intrp/Makefile.am,
	kaffe/kaffevm/jit/Makefile.am,
	kaffe/kaffevm/jit3/Makefile.am:
	(EXTRA_DIST) added stackTrace-impl.h

	* kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in:
	regenerated

	* kaffe/kaffevm/exception.c:
	(nextFrame) splitted and moved into the different
	stackTrace-impl headers
	(dispatchException) rewritten so it works for both, the
	interpreter and the translator

	* kaffe/kaffevm/exception.h:
	(VmExceptHandler) renamed struct jit to struct jni
	(vmExcept_setSyncobj, vmExcept_getSyncobj) renamed to
	vmExcept_setSyncObj and vmExcept_getSyncObj
	(vmExcept_JNIContains) made available for intrp
	removed some unnecessary declarations that don't belong here

	* kaffe/kaffevm/jni.c:
	(KAFFE_JNI_SETEXCEPTFP) use vmExceptPtr as fp of jni frame,
	so there's no need to special case handling of jni frames
	when dispatching exceptions in intrp mode
	
	* kaffe/kaffevm/support.c:
	adapted interpreter specific part to per-thread JNIEnv

	* kaffe/kaffevm/intrp/icode.h,
	kaffe/kaffevm/jit/icode_internal.h,
	kaffe/kaffevm/jit/icode.c:
	added softcall_incompatibleclasschange

	* kaffe/kaffevm/soft.c:
	(soft_checkcast) include class loaders into the message if
	they are different

	* configure.in:
	add $abssrcdir/kaffe/kaffevm/$with_engine to CPPFLAGS

	* configure:
	regenerated
	
2003-07-27  Dalibor Topic <robilad@kaffe.org>,

	Fixes for 'make dist'

	* kaffe/jvmpi/Makefile.am:
	(libkaffejvmpi_la_SOURCES) added jvmpi_kaffe.h
	(libkaffejvmpi_la_HEADERS) removed.

	* kaffe/kaffevm/Makefile.am:
	(noinst_HEADERS) Added threadData.h

	* Makefile.am:
	(EXTRA_DIST) removed developers/patch-kjc-variable-propagation

2003-07-27  Dalibor Topic <robilad@kaffe.org>,
	    Helmer Kraemer <hkraemer@freenet.de>

	Fixes for compiler warnings on alpha-linux.

	* config/alpha/alpha.c:
	(__alpha_ra) use uintp instead of int*.
	(__alpha_nextFrame) use uintp instead of char*.

	* config/alpha/linux/jit-md.h:
	(_exceptionFrame)  use uintp instead of char*.
	(__alpha_ra) use uintp instead of int*.

	* kaffe/kaffevm/classMethod.h:
	(methods.idx) changed type to long.

	* kaffe/kaffevm/jni.c:
	(KAFFE_JNI_SETEXCEPTFP) added a cast to uintp.

	* kaffe/kaffevm/jit/icode.c:
	(softcall_lookupinterfacemethod) removed unnecessary cast to int.

2003-07-27  Guilhem Lavaux <guilhem@kaffe.org>

	* config.rpath: Added to solve the dependence of "lib-link.m4" on it.

	* Makefile.in: regenerated.

	* configure.in: Fixed typos.

	* configure: Regenerated.

	* libraries/javalib/bootstrap.classlist: Added
	java.text.MessageFormat$MessagePatternDescription and
	java.net.URLClassLoader.

	* libraries/javalib/Klasses.jar.bootstrap: regenerated.

2003-07-27  Jim Pick  <jim@kaffe.org>

	* libraries/javalib/kjc.jar:
	Rebuilt using new kaffe-extras build system, including Guilhem's
	patch, and a new one to make Jasper work.

	* developers/patch-kjc-variable-propagation:
	Moved to kaffe-extras CVS module.

2003-07-26  Dalibor Topic <robilad@kaffe.org>

	* libraries/clib/native/Class.c:
	(java_lang_Class_getField0) modified to return NULL, when field is not
	found. Added documentation.

	* libraries/javalib/essential.files:
	Added java/net/URLClassLoader.java, java/util/jar/JarInputStream.java, 
	java/util/zip/DataFormatException.java, java/util/zip/Inflater.java,
	java/util/zip/InflaterInputStream.java, java/util/zip/ZipInputStream.java
	kaffe/util/zip/SwitchInflater.java

	* libraries/javalib/java/lang/Class.java:
	(getDeclaredField, getField) use getFieldInternal.
	(getFieldInternal) new private method. Improved error message to include
	class and field name.

	* libraries/javalib/kaffe/lang/AppClassLoader.java:
	Extend URLClassLoader. OpenEJB expects the application class loader to
	extend URLClassLoader.
	(AppClassLoader) cass superclass contructor with empty array of URLs.
	(findResources, findResource) changed access to public as they are public
	in URLClassLoader.

	* test/regression/GetField.java:
	Added more comments, and adapted expected output.

	* test/regression/ProcessClassInst.java,
	test/regression/ProcessClassStop.java:
	adapted expected output.

2003-07-26  Guilhem Lavaux <guilhem@kaffe.org>

	* include/files.h: (jlong2size_t, size_t2jlong) added two converters
	between java types and Posix types.

	* include/jsyscall.h: (SystemCallInterface) added 3 syscalls _ftruncate,
	_mmap, _munmap with the corresponding macros KFTRUNCATE, KMMAP, KMUNMAP.
	(KAFFE_MMAP_*) system independent constants for KMMAP.

	* kaffe/kaffevm/systems/unix-jthreads/syscalls.c, 
	kaffe/kaffevm/systems/unix-pthreads/syscalls.c:
	(jthreadedMmap, jthreadedMunmap, jthreadedFTruncate) added threaded
	syscalls for mmap, munmap and ftruncate.

	* kaffe/kaffevm/systems/oskit-pthreads/syscalls.c,
	kaffe/kaffevm/systems/beos-native/syscalls.c: added dummy threaded
	syscalls for mmap, munmap and ftruncate for compatibility.

	* libraries/javalib/java/lang/Runtime.java:
	(exitJavaCleanup, runShutdownHooks, exit) we must not throw ThreadDeath
	because it induces a fatal loop in exitThread(). Instead I check if
	runShutdownHooks is already running and in that case I kill again the
	current thread only if it is a call to Runtime.exit(). In the other
	case the thread will be automatically killed when exiting
	exitJavaCleanup().

2003-07-26 Timothy S. Stack <stack@cs.utah.edu>

	* configure.in: 
	Add JVMPI stuff (--enable-jvmpi, makefile, etc...)

	* include/Makefile.am:
	Add jvmpi.h to the list of include_HEADERS.

	* include/errors.h:
	Make IncompatibleClassChangeError take a message parameter.

	* include/jni.h:
	Add JVMPI defines.

	* include/jvmpi.h:
	Added

	* kaffe/Makefile.am:
	Added jvmpi subdir.

	* kaffe/jvmpi/Makefile.am,
	kaffe/jvmpi/jvmpi_kaffe.c,
	kaffe/jvmpi/jvmpi_kaffe.h:
	Added to implement jvmpi stuff.

	* kaffe/kaffe/Makefile.am:
	Add jvmpi to list of includes and add jvmpi library.

	* kaffe/kaffevm/Makefile.am:
	Add jvmpi to list of includes.

	* kaffe/kaffevm/classMethod.h:
	Make a slot for a field's signature in struct_fields.

	* kaffe/kaffevm/classMethod.c:
	Add jvmpi events.  Fields now have a separate slot for their
	signature instead of combining it with FIELD_TYPE().  Use
	per-thread JNIEnv.

	* kaffe/kaffevm/exception.c:
	Remove requirement that nextFrame must be called on stack produced
	from the current thread.

	* kaffe/kaffevm/gc.h:
	Add function pointers for enabling/disabling gc.

	* kaffe/kaffevm/gcFuncs.c:
	Add jvmpi events.  Handle separate slot for signature in fields.
	Use per-thread JNIEnv.

	* kaffe/kaffevm/gcRefs.c:
	jthread_getcookie() -> jthread_get_data().

	* kaffe/kaffevm/jni.c:
	Add JVMPI events.  JNIEnv pointers are now per-thread.

	* kaffe/kaffevm/kaffe.def:
	Make sure invokevirtual/invokespecial are not called on interface
	classes.

	* kaffe/kaffevm/locks.c:
	Add JVMPI events.

	* kaffe/kaffevm/object.c:
	Add JVMPI events.

	* kaffe/kaffevm/soft.[ch]:
	Add soft_incompatibleclasschange function for throwing
	IncompatibleClassChangeErrors.

	* kaffe/kaffevm/support.h:
	Add BITMAP_BYTE_SIZE, BITMAP_CLEAR, and BITMAP_ISSET macros.

	* kaffe/kaffevm/thread.c:
	JNIEnv pointers are now per-thread.  jthread_getcookie() ->
	jthread_get_data().  Added JVMPI events.

	* kaffe/kaffevm/thread.h:
	Added THREAD_JNIENV() macro for getting the JNIEnv pointer for the
	current thread.

	* kaffe/kaffevm/threadData.h:
	Added to hold per-thread data.

	* kaffe/kaffevm/jit3/Makefile.am:
	Added jvmpi to the list of includes.

	* kaffe/kaffevm/jit3/codeproto.h,
	kaffe/kaffevm/jit3/icode.c:
	Added softcall_incompatibleclasschange().

	* kaffe/kaffevm/jit3/machine.c:
	Added JVMPI events.

	* kaffe/kaffevm/mem/gc-incremental.c:
	Added JVMPI events and functions for enabling/disabling the GC.

	* kaffe/kaffevm/systems/unix-jthreads/jthread.c,
	kaffe/kaffevm/systems/unix-jthreads/jthread.h:
	The jthread_getcookie() macro has been changed to
	jthread_get_data() which returns the threadData structure defined
	in the main kaffe code body.  Added resource usage statistics and
	other functions for reflecting on a threads state.  Added ability
	to suspend/resume threads (experimental).

	* kaffe/kaffevm/systems/unix-jthreads/lock-impl.h:
	Added missing jcondvar_broadcast() proto.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c,
	kaffe/kaffevm/systems/unix-pthreads/thread-impl.c:
	Update for jthread_getcookie() -> jthread_get_data() change.

	* libraries/clib/native/Makefile.am:
	Added jvmpi to list of includes.

	* libraries/clib/native/Object.c:
	Added JVMPI events.

	* libraries/clib/native/ObjectStreamClassImpl.c:
	Update for signature change in field structs.

	* test/internal/Makefile.am:
	Add jvmpi to the list of includes and libraries.

2003-07-20 Fabio.di.Fabio <abel@lmib.org>

	* libraries/kaffe/appletAppletTag.java:
	(parseParam) keep '"' and '\'' as quote characters.
	(parseForApplets) keep '\'' as a quote character.

2003-07-18 Guilhem Lavaux <guilhem@kaffe.org>

	* libraries/javalib/java/text/MessageFormat.java:
	(toPattern) simply return pattern
	(applyPattern) assign the pattern to "pattern"
	(parse(String, ParsePosition)) implemented
	(parse(String)) it should throws ParseException if the previous parse
	fails.
	(format) fixed an ArrayOutOfBoundException.

	* libraries/javalib/java/text/ChoiceFormat.java:
	(parse) It must check the biggest choice possible, i.e. if you have
	"ab" or "abc" to compare to "abcdef" you must return the choice "abc".

2003-07-18 Sebastian Mancke <asteban@gmx.net>

	* libraries/javalib/java/net/HttpUrlConnection.java:
	(HttpUrlConnection) Add some default HTTP headers.

	* libraries/javalib/java/net/URLConnection.java:
	(setRequestProperty) implemented according to JDK 1.4.1 behaviour.

	* libraries/javalib/kaffe/net/www/protocol/http/HttpUrlConnection.java:
	(connect) flush HTTP headers when connecting to the server.

2003-07-17 Guilhem Lavaux <guilhem@kaffe.org>
	* libraries/javalib/java/test/DecimalFormat.java:
	(applyPattern) Throw IllegalArgumentException if the pattern is
	incorrect.
	(format) Check if "num" ends with a 0 when you build the fractional
	part. For example, this case should be corrected: 100.0 => 100.

2003-07-17  Guilhem Lavaux <guilhem@kaffe.org>

	* libraries/javalib/java/text/MessageFormat.java:
	(parseFormat) Added a missing case for astyle for the "number" format.

	* test/regression/Makefile.am:
	(TEST_MISC) Readded TestMessageFormat.java.

	* test/regression/TestMessageFormat.java: Added free
	TestMessageFormat.java. There is still a bug of behaviour
	for NumberFormat as the outputs of JDK 1.4.2 and Kaffe are
	different (the expected output has been built with JDK 1.4.2).

2003-07-17  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/kjc.jar:
	Rebuilt with Guilhem's patch applied.

	* developers/patch-kjc-variable-propagation:
	Fix KJC's problem raised by ShutdownHookTest.
	Add a system so that when you add a monitor variable 
	the update of the position of all variables are back-propagated
	to all children block context created before the call. Before that,
	only the variables of the parent blocks have been updated.

	Patch by: Guilhem Lavaux <guilhem.lavaux@free.fr>

	* Makefile.am:
	(EXTRA_DIST) added developers/patch-kjc-variable-propagation

	* FAQ/FAQ.automake, developers/autogen.sh:
	Upped the required version of automake to 1.7.6.

	* developers/patch-libtool-amiga-max-command-line-length.diff: 
	updated patch status information. Reformatted information
	blurb to follow style of other patches.

	* test/regression/Makefile.am:
	(TEST_MISC) removed the absent 
	test/regression/TestMessageFormat.java.

2003-07-15  Guilhem Lavaux <guilhem.lavaux@free.fr>

	* libraries/clib/awt/X/img.c:
	(Java_java_awt_Toolkit_imgCreateFromFile) call initColorMapping to
	ensure that pixelValue will return the color value the fastest way.

	* libraries/clib/awt/X/imgjpeg.c:
	(readJpeg) check if we are in TrueColor mode, if so load JPEG in
	full colors, otherwise quantize colors.
	(jscan_to_img, jscan_cmap_to_img) renamed jscan_to_img into
	jscan_cmap_to_img, created jscan_to_img to deal with full RGB colors.

	* libraries/javalib/java/text/MessageFormat.java:
	(class MessagePatternDescription) added a description for formats
	currently in parsing state.
	(tryToApplyPattern) Parse a pattern string and transform it into
	a MessagePatternDescription.
	(applyPattern) just call tryToApplyPattern
	(format) Iterate until the number of found arguments is 0. This
	is to ensure that no format spawn a new pattern to be parsed.

	* test/regression/TestMessageFormat.java: added a test case for
	java.text.MessageFormat (reported by Jaco Greef - code partly taken
	from Ant)

2003-07-15  Rob Gonzalez <rob@kaffe.org>

	* test/regression/BitSetTest.java
	Expected output changed to use tabs instead of spaces.

2003-07-15  Dalibor Topic <robilad@kaffe.org>
	
	* test/regression/BitSetTest.java:
        (show) don't print size, it's implementation dependant.
        Removed size information form expected results.

2003-07-14  Ito Kazumitsu <kaz@maczuka.gcd.org>

	* java/util/BitSet.java:
	copied from GNU Classpath to have JDK 1.4 features.

2003-07-14  Dalibor Topic <robilad@kaffe.org>

	* replace/inet_ntop.c, replace/inet_pton.c:
	include <sys/types.h> for Cygwin to build.

2003-07-11  Guilhem Lavaux <guilhem.lavaux@free.fr>

       * libraries/javalib/java/util/LinkedList.java (addAll#1, addAll#2):
       Changed the behaviour of addAll to comply with Sun's spec.
       addAll must add the collection after the precised element or
       at the end of the list.

2003-07-11  Ito Kazumitsu <kaz@maczuka.gcd.org>

        * test/regression/TestScript.in:
        deleted -noverify flag from kaffe because the KJC problem
        has been fixed.

2003-07-10  Rob Gonzalez <rob@kaffe.org>

	* kaffe/kaffevm/verify.c
	Fixed bug that caused certain KJC classes
	to fail pass 2 verification.

2003-07-10  Dalibor Topic  <robilad@yahoo.com>

        * libraries/javalib/bootstrap.classlist:
	Added java.util.Collections.$1

        * libraries/javalib/Klasses.jar.bootstrap:
        regenerated.

2003-07-09  Rob Gonzalez <rob@kaffe.org>

	* kaffe/kaffevm/constants.h
	More handy macros for accessing names and signatures.

	* kaffe/kaffevm/verify.c
	Moved a bunch of stuff into pass 3a that was previously in
	pass 3b (which hasn't been checked in yet).  Also fixed a
	couple pretty obscure bugs.
	
2003-07-09  Dalibor Topic  <robilad@yahoo.com>

	* libraries/javalib/bootstrap.classlist:
	Removed kaffe.lang.ApplicationException and
	kaffe.lang.ApplicationResource.

	* libraries/javalib/java/lang/Thread.java:
	Don't implement ApplicationResource.
	(freeResource) removed.
	
	* libraries/javalib/Klasses.jar.bootstrap:
	regenerated.
	
2003-07-09  Dalibor Topic  <robilad@yahoo.com>

	* libraries/javalib/bootstrap.classlist:
	Added missing files. Removed kaffe.lang.Application.

	* libraries/javalib/java/io/File.java:
	(DeleteOnExitHook) new internal class.
	(deleteOnExitHook) new static field.
	(deleteOnExit) use deleteOnExitHook to delete the file on exit.

	*
	libraries/javalib/kaffe/net/www/protocol/system/SystemURLConnection.java,
	libraries/javalib/kaffe/tools/compiler/Compiler_kjc.java,
	libraries/javalib/kaffe/tools/compiler/Compiler_pizza.java:
	rewritten not to use Application.

	* libraries/javalib/Klasses.jar.bootstrap:
	regenerated.

	* libraries/javalib/Makefile.am, libraries/javalib/Makefile.in:
	regenerated.
	
2003-07-08  Guilhem Lavaux <guilhem.lavaux@free.fr>

	* include/Makefile.am:
	Removed kaffe_lang_Application.h

	* libraries/clib/native/Makefile.am:
	Removed Application.c
	
	* libraries/clib/native/Application.c,
	libraries/javalib/kaffe/lang/Application.java:
	removed
	
	* libraries/clib/native/Runtime.c:
	renamed exitInternal() into exit0()
	
	* libraries/javalib/java/lang/Runtime.java:
	(exitInternal, addShutdownHook, removeShutdownHook,
	exitJavaCleanup, runShutdownHooks) implement the Shutdown hook
	Java 1.3 feature, removed kaffe/lang/Application.  

	* libraries/javalib/java/lang/System.java:
	(exitJavaCleanup) Added a hook for
	java.lang.Runtime.exitJavaCleanup.
	
	* libraries/javalib/java/lang/Thread.java:
	(hasDied) Added to detect when a thread has run to completion.
	
	* kaffe/kaffevm/threads.c:
	Call System.exitJavaCleanup() before final exit.

	* kaffe/kaffevm/systems/unix-jthreads/jthread.c:
	Execute runOnExit with interrupts enabled.

	* test/regression/Makefile.am:
	Added ShutdownHookTest.java
	
	* test/regression/ShutdownHookTest.java:
	Test for shutdown hooks.
	
2003-07-08  Timothy S. Stack <stack@cs.utah.edu>

	* kaffe/kaffevm/systems/unix-pthreads/lock-impl.c:
	Handle large timeout values correctly.

	* kaffe/kaffevm/systems/unix-pthreads/syscalls.c:
	Handle timeouts/interrupts correctly for accept/read.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c:
	(jthread_interrupt) Implemented using pthread_kill(SIG_RESUME).
	(suspend_signal_handler) Use setjmp to dump register state to the
	stack.

	* kaffe/kaffevm/systems/unix-pthreads/thread-internal.h:
	Moved jthread_interrupt implementation to thread-impl.c.

	* libraries/clib/net/PlainSocketImpl.c:
	Throw an exception when connect times out or is interrupted.  Pay
	attention to ETIMEDOUT error value.

2003-07-08  Ito Kazumitsu <kaz@maczuka.gcd.org>
	
	* test/regression/TestScript.in
	added -noverify flag to kaffe as a workaround for some KJC problem.

2003-07-08  Rob Gonzalez <rob@kaffe.org>

	Dalibor's patch to help get eclipse to run.
	
	* kaffe/kaffevm/external.c
	Small but necessary compilation fix.
	
2003-07-08  Mark Wielaard <mark@klomp.org>

	* libraries/javalib/java/net/URL.java:
	(getPath, getQuery) new methods.

	* libraries/clib/native/System.c:
	(java_lang_System_initProperties) set java.version to 1.3 to
	allow Eclipse to run.

2003-07-08 Helmer Kraemer <hkraemer@freenet.de>

	* kaffe/kaffevm/locks.h, kaffe/kaffevm/locks.c:
	(iStaticLock) new struct for static locks
	(_lockMutex, _unlockMutex, _waitCond, _signalCond,
	_broadcastCond, _slowUnlockMutexIfHeld) prefixed with
	locks_internal, added second parameter for preallocated
	heavy lock
	(getHeavyLock, putHeavyLock) support preallocated heavy locks
	(locks_internal_slowUnlockMutexIfHeld) only allocate a heavy
	lock if that's really necessary
	(locks_internal_lockMutex) use jthread_on_current_stack to
	detect recursive invocations
	(locks_internal_slowUnlockMutex) add support for stacks that
	grow upwards
	(specialLocks, acquireLock, releaseLock, UNBLOCK_EXECUTE) removed
	
	Changed type of all static locks from iLock** to iStaticLock.
	Updated all calls to the locking functions.
	
2003-07-07  Mark Wielaard <mark@klomp.org>

	* include/jni.h (JNINativeInterface): Mark reserved words which
	are used in JNI 1.2/1.4. Add ExceptionCheck slot.
	(JavaVMAttachArgs): Mark reserved3 word as future
	AttachCurrentThreadAsDaemon.
	(JNIEnv_): Add ExceptionCheck.
	* include/jni_cpp.h (JNIEnv::CheckException): New inline
	function.
	* kaffe/kaffevm/jni.c (Kaffe_ExceptionCheck): New function.
	(Kaffe_JNINativeInterface): Add Kaffe_ExceptionCheck function
	and mark unsupported callbacks with NULL.
	* kaffe/kaffevm/external.c (loadNativeLibrary2) Call JNI_OnLoad
	function if it exists in the library.

2003-07-07  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/classMethod.c: (lookupArray) set the state
	of the centry to NMS_DONE so array classes are correctly
	marked during gc

2003-07-07  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/classPool.c: (walkClassEntries) only mark
	entry->data.cl as an object if entry->state is at least
	LOADING
	* kaffe/kaffevm/code-analyse.c: fix warnings with gcc 3.2
	* libraries/javalib/java/net/URLClassLoader.java:
	(findResourceInternal): new method that searches for a
	resource
	(findClass, findResource, findResources): call
	findResourceInternal since findResources() might be
	overriden by subclasses.

2003-07-06  Jim Pick  <jim@kaffe.org>

	* kaffe/kaffevm/mem/gc-incremental.c:
	Ported over "Percentage size allocations" reporting for
	-verbosemem from TVT Kaffe.

2003-07-06  Gerrit P. Haase <gp@familiehaase.de>

	* configure.in:
	simplified checking for basic types.

2003-07-06  Dalibor Topic <robilad@yahoo.com>

	* Makefile.am:
	reverted Mark's patch from 2003-07-04 since it breaks the build.
	kaffe/kaffe depends on libraries/clib/native, and libraries/javalib
	depends on a working kaffevm -> circular dependency between
	libraries and kaffe subdirectories.

2003-07-04  Dalibor Topic <robilad@yahoo.com>

	* FAQ/FAQ.automake:
	Added information how to regenerate files generated by autotools.

	Reported by: Mark Wielaard <mark@klomp.org>

2003-07-04  Mark Wielaard <mark@klomp.org>

	* Makefile.am:
	(SUBDIRS) fixed automake warning.

2003-07-04  Helmer Kraemer  <hkraemer@freenet.de>

	* libraries/clib/native/String.c:
	(java_lang_String_indexOf) use stricter limit in Bayer-Moore loop.

	Reported by: Guilhem Lavaux <guilhem.lavaux@free.fr>

2003-07-03  Guilhem Lavaux <guilhem.lavaux@free.fr>

	* libraries/clib/native/String.c:
	(java_lang_String_indexOf) fixed off-by-one error.

2003-07-03  Rob Gonzalez <rob@kaffe.org>

	* kaffe/kaffevm/classMethod.h
	Added METHOD_NAME(M) and METHOD_NAMED(M) macros.

2003-07-02  Ito Kazumitsu <kaz@maczuka.gcd.org>

	* libraries/javalib/java/io/StreamTokenizer.java:
	nextTokenType(): changed the order of rules so that the result
	is similar to Sun's implementation.
	numericChar(), commentChar(), quoteChar(), whitespaceChars(),
	wordChars(): changed these methods so that assigning one attribute
	may drop other attributes. This makes the result similar to Sun's
	implementation.
	Added new private method isNumericByDefault() to be used in
	parseNumericChars(). Numeric characters should be checked with
	this method rather than with lookup(chr).isNumeric, which may
	have been changed by some attribute-assining methods.

	Reported by Hermanni Hyytiala <hemppah@cc.jyu.fi>.

2003-07-02  Rob Gonzalez <rob@kaffe.org>

	* kaffe/kaffevm/verify.c
	(verifyMethod3a): Fixed misreported errors in tableswitch,
	lookupswitch, and jsr instructions.

2003-07-02  Dalibor Topic <robilad@yahoo.com>

	* FAQ/FAQ.classlibrary-compile:
	Removed section on broken Makefile.am since it's no 
	longer broken.

2003-07-02  Rob Gonzalez <rob@kaffe.org>

	Pass 2 verification should now be complete.
	
	* kaffe/kaffevm/verify.c
	Now parses field and method references for valid type
	descriptors.

2003-07-01  Timothy S. Stack <stack@cs.utah.edu>

	* configure.in:
	Autoheader doesn't understand --localdir anymore.

	* kaffe/kaffevm/jit3/basecode.c,
	kaffe/kaffevm/jit3/basecode.h,
	kaffe/kaffevm/jit3/icode.c,
	kaffe/kaffevm/jit3/registers.h:
	Load/Store float constants as floats and not doubles, otherwise
	the jitted code will read floats from the constant pool that were
	stored as doubles.

	Reported by: Gerlando Falauto <iurly@writeme.com>

2003-06-30  Dalibor Topic <robilad@yahoo.com>

	* configure.in: 
	(LONG_DIVISION_BROKEN, LONG_MODULO_BROKEN,
	LONG_LONG_MODULO_BROKEN) tests removed.

	* include/jtypes.h.in:
	(JINT_MIN, JLONG_MIN) new #defined constants.

	* kaffe/kaffevm/intrp/icode.h:
	(div_long, rem_long, div_int, rem_int) fixed undefined
	behaviour for MIN_VALUE / -1 and % -1.

	Reported by: Tony Wyatt <wyattaw@optushome.com.au>,
		     Luca Saiu <positrone@freemail.it>,
                     Marc Kleine-Budde <kleine-budde@gmx.de>
	
2003-06-30  Rob Gonzalez <rob@kaffe.org>

	The second of a serious of small checkins that will
	integrate the verifier into kaffe.
	
	First, -verifyremote is now the default option when
	running kaffe.  You can still run kaffe with -noverify
	to skip verification.
	
	Second, pass 3a (checking of static constraints in bytecode)
	has been added.
	
	* kaffe/kaffevm/jni.c
	Default value for verifyMode is set to 2 (verifyremote).
	
	* kaffe/kaffevm/verify.c
	Pass 3a verification added.  Lots of code.  Probably bugs,
	but it doesn't break any regression tests.

2003-06-30  Rob Gonzalez <rob@kaffe.org>

	Many of the regression tests were failing when jikes 1.18
	was used to compile them due to extraneous warnings produced
	by the compiler and unrelated to the success of kaffe.
	These updates make the classes compile without warning.
	
	* test/regression/ThreadState.java
	(assert): renamed to check(...)
	
	* test/regression/SortTest.java
	(assert): renamed to check(...)
	
	* test/regression/MapTest.java
	(assert): renamed to check(...)
	
	* test/regression/finaltest.java
	(finaltest2): renamed to finaltest_PI
	
	* test/regression/LineNumberReaderTest.java
	(class Test*): renamed to LineNumberReader_Test*

2003-06-29  Rob Gonzalez <rob@kaffe.org>

	* kaffe/kaffevm/verify.c
	Allow final methods named "<clinit>" or "this" to be
	overridden in subclasses.  This mimicks the behavior
	of Sun's pass 2 verifier.

2003-06-29  Rob Gonzalez <rob@kaffe.org>

	This is the first of a series of small checkins that will
	integrate a verifier into kaffe.  This one adds most of
	pass 2 verification, though without a parser for type
	descriptors of method and field references from the constant
	pool.

	* kaffe/kaffevm/debug.h
	Added VERIFY2, VERIFY3, and VERIFY debugging flags.

	* kaffe/kaffevm/debug.c
	Added VERIFY2, VERIFY3, and VERIFY debugging flags.

	* kaffe/kaffevm/verify.c
	Rewrote verify2() and added support methods that check
	for errors in method static constraints.

2003-06-28  Helmer Kraemer  <hkraemer@freenet.de>

	* libraries/javalib/kaffe/lang/ThreadStack:
	(getCallersClassLoader): new method
	
	* libraries/javalib/java/lang/Class.java 
	(CallStack): removed
	(forName): use ThreadStack.getCallersClassLoader

	* libraries/javalib/java/lang/Package.java,
	libraries/javalib/java/lang/System.java,
	libraries/javalib/java/lang/Runtime.java:
	use ThreadStack.getCallersClassLoader instead of
	Class.CallStack.getCallersClassLoader

	* libraries/javalib/java/util/ResourceBundle.java:
	(getBundle): use ThreadStack.getCallersClassLoader if loader
	is null
	(getSpecificBundle): throw NPE if loader is null

	* libraries/javalib/bootstrap.classlist,
	libraries/javalib/Klasses.jar.bootstrap:
	removed java/lang/Class$CallStack.class and
	kaffe/lang/DummyClassLoader.class

	* libraries/javalib/essential.files:
	remove kaffe/lang/DummyClassLoader.java

	* libraries/javalib/kaffe/lang/DummyClassLoader.java:
	removed

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in:
	regenerated

	* test/regression/ProcessClassInst.java,
	test/regression/ProcessClassStop.java:
	adjusted line numbers in expected output
	
2003-06-28  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/jit/machine.c:
	(translate) use lockClass to guard translation so it doesn't
	interfere with static synchronized methods
	(installMethodCode) free the trampoline before overwriting it

	* kaffe/kaffevm/jit3/machine.c:
	(installMethodCode) free the trampoline before overwriting it

	* kaffe/kaffevm/soft.c:
	(soft_fixup_trampoline) use COMPARE_AND_EXCHANGE/ATOMIC_EXCHANGE
	to update the trampoline; free the trampoline if necessary

2003-06-27  Rob Gonzalez <rob@kaffe.org>

	The following files were updated to provide additional macro
	support for accessing internal kaffe data in classes and methods.
	The new macros will be used extensively in pass 2 verification.
	
	* kaffe/kaffevm/access.h
	Added ACC_STRICT macro.

	* kaffe/kaffevm/constants.h
	Enhanced macro set for picking apart a class's constant pool.
	i.e. added METHODREF_SIGNATURE(...) and others.

	* kaffe/kaffevm/classMethod.h
	Enhanced macro set for checking a method's flags.
	i.e. added METHOD_IS_PROTECTED(...) and others.

2003-06-26  Motoyuki Kasahara <m-kasahr@sra.co.jp>

	* configure.in:
	Don't add $LIBICONV to LIBS, it can break other tests.

	* libraries/clib/native/Makefile.am:
	(libnative_la_LIBADD) added LTLIBICONV

	* sockinttypes.m4:
	If configure fails to get size of sin_port in struct sockaddr_in,
	it outputs an error message and exits immediately.
	
2003-06-26  Dalibor Topic <robilad@yahoo.com>

	Updated iconv detection to GNU gettext release 0.11.3. The new
	version of iconv.m4 triggered the merge of GPL'd autoconf-lib-link
	m4 code from GNU gettext.

	* iconv.m4: Updated to latest version from gettext 0.11.3.

	* lib-link.m4, lib-ld.m4, lib-prefix.m4: new file.

	* Makefile.am:
	(EXTRA_DIST) added lib-link.m4, lib-ld.m4 and lib-prefix.m4.

	Reported by: Ito Kazumitsu <kaz@maczuka.gcd.org>

2003-06-26  Rob Gonzalez <rgonzale@wso.williams.edu>

	* kaffe/man/kaffe.1.in:
	include documentation for -verifyremote in the man page.

2003-06-25  Dalibor Topic <robilad@yahoo.com>

	* include/defs.h:
	(VA_LIST_COPY) fixed array copying macro to use its variables.
	
2003-06-25  Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/Makefile.am.in:
	(rt.jar) depend on all class library sources.

	Reported by: Rob Gonzalez <rgonzale@wso.williams.edu>

2003-06-25  Dalibor Topic <robilad@yahoo.com>

	* kaffe/kaffevm/jit3/funcs.c:
	(ALIGN) renamed to ALIGN_CODEPC to fix a warning on OpenBSD.

	* FAQ/FAQ.jit3: renamed ALIGN to ALIGN_CODEPC.
	
2003-06-25  Dalibor Topic <robilad@yahoo.com>

	* libraries/clib/math/BigInteger.c:
	(Java_java_math_BigInteger_scansetbit0,
	Java_java_math_BigInteger_cmp0,
	Java_java_math_BigInteger_toString0,
	Java_java_math_BigInteger_toDouble0,
	Java_java_math_BigInteger_toInt0,
	Java_java_math_BigInteger_probablyPrime0,
	Java_java_math_BigInteger_bitLength0,
	Java_java_math_BigInteger_hamDist0) added return statements in
	dummy implementations to fix compiler warnings.
	
2003-06-25  Dalibor Topic <robilad@yahoo.com>

	* valist.m4: new file. valist handling macros taken from GPL-d
	Quakeforge. Thanks to Bill Currie <taniwha@quakeforge.org>.

	* configure.in: removed explicit va_list checking, now uses macros
	from valist.m4.

	* Makefile.am:
	(EXTRA_DIST) added valist.m4

	* include/defs.h:
	(VA_LIST_COPY) use memcpy if neither va_copy nor __va_copy are
	available and va_list is an array.

	* stringParsing.c:
	(parseString_private) fix powerpc-linux comilation warnings.

	Reported by: Luca Saiu <positrone@freemail.it>,
	             Marc Kleine-Budde <kleine-budde@gmx.de>
	
2003-06-24  Dalibor Topic <robilad@yahoo.com>

	* libraries/clib/native/ClassLoader.c:
	(java_lang_ClassLoader_defineClass0) removed unneeded variable.

	* libraries/clib/net/PlainsocketImpl.c:
	(java_net_PlainSocketImpl_socketAccept) initialize remote_addr
	with NULL.

2003-06-24  Dalibor Topic <robilad@yahoo.com>

	* config/config-mem.h:
	Include <stdlib.h> if the system has it, instead of <malloc.h>, to
	fix warnings on FreeBSD 4.8.
	
2003-06-24  Dalibor Topic <robilad@yahoo.com>

	* Makefile.am:
	(EXTRA_DIST) removed
	developers/getaddrinfo-socketinttypes-glibc2.diff. added
	developers/patch-libtool-amiga-max-command-line-length.diff.
	
2003-06-24  Dalibor Topic <robilad@yahoo.com>

	* config/i386/freebsd2/md.h:
	(SIGNAL_CONTEXT_POINTER) removed unnecessary concatenation.

2003-06-24  Luca Saiu <positrone@freemail.it>

	* kaffe/kaffevm/systems/unix-jthreads/jthread.c:
	(SIGNAL_CONTEXT_POINTER) removed unnecessary concatenation, fixing
	compilation problems on gcc 3.3.
	
2003-06-24  Dalibor Topic <robilad@yahoo.com>

	* herrno.m4, in6addr.m4, include/dummyin6.h, replace/dummyin6.c,
	replace/getaddrinfo.c, replace/memset.c, sockaddrin6.m4,
	sockinttypes.m4: updated to getaddrinfo 1.6.
	
	Reported by:  Ito Kazumitsu <kaz@maczuka.gcd.org>
	
2003-06-24  Dalibor Topic <robilad@yahoo.com>

	* developers/patch-libtool-amiga-max-command-line-length.diff:
	new file.
	
	* developers/autogen.sh:
	patch libtool to avoid spending too much time checking for maximal
	command line length.

	Reported by: Tony Wyatt <wyattaw@optushome.com.au>

2003-06-23  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/jit/machine.c
	(finishInsnSequence): adapted to modified alignment of gc heap
	(getInsnPC): new method
	(installMethodCode): use getInsnPC to translate exception table
	and line number table entries; corrected handling of exception
	table entries that cover the last instruction of a method

	* kaffe/kaffevm/jit3/machine.c
	(getInsnPC, installMethodCode): properly deal with exception table
	entries that cover the last instruction of a method
	
2003-06-22  Dalibor Topic <robilad@yahoo.com>

	* gwqt.m4:
	Link to math library when linking with QPE.

	Reported by:  Sankalpa Gamwarige <sgamwarige@sri.crossvue.com>

2003-06-22  Rob Gonzalez <rgonzale@wso.williams.edu>

	* kaffe/man/kaffe.1.in:
	documented -verify flag.

2003-06-20  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/mem/gc-mem.h
	(GCBLOCK_OVH): removed
	(MEMALIGN): defined to alignment of jdoubles

	* kaffe/kaffevm/mem/gc-mem.c
	(gc_system_alloc): renamed to gc_heap_grow 
	(gc_free): fixed initialisation of free list
	(gc_malloc): moved invocation of garbage collector  ...

	* kaffe/kaffevm/mem/gc-incremental.c
	(gcMalloc): ... to here
	
2003-06-20  Helmer Kraemer  <hkraemer@freenet.de>

	* config/sparc/openbsd2/md.h (SP_OFFSET): define it to 2

	Reported by: Riccardo Mottola <zuse@libero.it>

2003-06-14 Dalibor Topic <robilad@yahoo.com>

	* configure.in:
	Configuration fixes for m68k-amigaos. Split huge lines
	into smaller ones.

	Reported by: Tony Wyatt <wyattaw@optushome.com.au>
	
2003-06-14 Dalibor Topic <robilad@yahoo.com>

	Compilation fixes for s390-linux.

	* configure.in:
	Added checks for sin6_flowinfo and sin6_scope_id in struct
	sockaddr_in6.

	* libraries/clib/net/InetAddressImpl.c:
	(java_net_NativeInetAddressImpl_getHostByAddr0) Only set
	sin6_flowinfo and sin6_scope_id if they are available on the
	platform.

	Reported by: Robert P. Nix <nix.robert@mayo.edu>

2003-06-14 Dalibor Topic <robilad@yahoo.com>

	* Makefile.am:
	(EXTRA_DIST) Added ChangeLog.5.

2003-06-14 Ito Kazumitsu <kaz@maczuka.gcd.org>

	* include/dummyin6.h:
	Changed uint32_t to int because such systems that needs dummyin6.h
	may not have uint32_t.

2003-06-13 Ito Kazumitsu <kaz@maczuka.gcd.org>

	* include/dummyin6.h:
	Add missing members sin6_flowinfo and sin6_scope_id to sockaddr_in6.

2003-06-13 Dalibor Topic <robilad@yahoo.com>

	* Makefile.am, include/Makefile.am:
	Add missing new files to make 'make distcheck' work.

2003-06-12 Florian La Roche <laroche@redhat.com>

	* config/s390/linux/md.h:
	(SIGNAL_ARGS, SIGNAL_CONTEXT_POINTER, GET_SIGNAL_CONTEXT_POINTER,
	SIGNAL_PC) defined for s390-linux.

2003-06-12 Dalibor Topic <robilad@yahoo.com>

	Compilation fixes for s390-linux.
	
	* configure.in:
	Merged in checks for va_copy and __va_copy from LGPLd Wine
	configure.ac.

	* include/defs.h:
	(VA_LIST_COPY) new macro to copy va_lists.

	* kaffe/kaffevm/stringParsing.c:
	(pushFrame, parseString_private) use VA_LIST_COPY.
	
2003-06-12 Dalibor Topic <robilad@yahoo.com>

	* developers/autogen.sh:
	Don't apply developers/getaddrinfo-socketinttypes-glibc2.diff,
	simply use the patched up version.
	
2003-06-12 Dalibor Topic <robilad@yahoo.com>

	Linux 2.0.x IPv6 support compilation fixes.

	* aclocal.m4, config/config.h.in,
	configure, replace/Makefile.in: Regenerated.

	* configure.in:
	Check for getaddrinfo and getnameinfo, and use
	replacement implementaitons if necessary. Added
	more checks for IPv6 features.

	* developers/getaddrinfo-socketinttypes-glibc2.diff:
	New file, patch to allow getaddrinfo to find in_port_t
	on Mandrake Linux 9.1.

	* developers/autogen.sh:
	Apply developers/getaddrinfo-socketinttypes-glibc2.diff.

	* herrno.m4, in6addr.m4, include/dummyin6.h,
	include/getaddrinfo.h, replace/dummyin6.c,
	replace/getaddrinfo.c, replace/memset.c,
	sockaddrin6.m4, sockinttypes.m4:
	New files, taken from BSD-type licensed getaddrinfo
	implementation version 1.5.1 from 
	http://www.sra.co.jp/people/m-kasahr/getaddrinfo/ .
	
	* libraries/clib/net/InetAddressImpl.c,
	libraries/clib/net/NetworkInterfaceImpl.c,
	libraries/clib/net/PlainSocketImpl.c:
	Use dummy IPv6 implementation and getaddrinfo if
	necessary.

	* replace/Makefile.am:
	(libreplace_la_SOURCES) Added dummyin6.c, getaddrinfo.c
	and memset.c.

	Based on a patch by: Ito Kazumitsu <kaz@maczuka.gcd.org>

	Reported by: Ito Kazumitsu <kaz@maczuka.gcd.org>,
	Kiyo Inaba <inaba@src.ricoh.co.jp>

2003-06-12 Dalibor Topic <robilad@yahoo.com>

	* test/regression/Reflect.java:
	Fixed expected output for java.lang.System.arraycopy.
	
2003-06-12 Dalibor Topic <robilad@yahoo.com>

	Linux 2.0.x IPv6 support compilation fixes.
	
	* configure.in:
	Added checks for linux/netlink.h, linux/rtnetlink.h and
	netpacket/packet.h.
	
	* replace/getifaddrs.c:
	Only compile replacement code if the headers linux/netlink.h,
	linux/rtnetlink.h and netpacket/packet.h are found.

	* replace/ifaddrs_linux.c:
	Only include linux/netlink.h, linux/rtnetlink.h and
	netpacket/packet.h if they are found by configure.
	
	Reported by: Ito Kazumitsu <kaz@maczuka.gcd.org>,
	Kiyo Inaba <inaba@src.ricoh.co.jp>
	
2003-06-12 Dalibor Topic <robilad@yahoo.com>

	* FAQ/FAQ.code-layout: new file.
	
2003-06-12 Dalibor Topic <robilad@yahoo.com>

	* configure.in: check for inet_ntop and inet_pton.

	* config/config.h.in, configure,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	libltdl/config-h.in,
	replace/Makefile.in:
	regenerated.

	* replace/Makefile.am:
	(libreplace_la_SORCES) Add inet_ntop.c and inet_pton.c.

	* replace/inet_ntop.c, replace/inet_pton.c:
	new files, taken from ircii, distributed under a BSD type license.

2003-06-12 Dalibor Topic <robilad@yahoo.com>

	* libraries/clib/io/File.c:
	(java_io_File_createNewFile0) Always create file in binary mode.

	* kaffe/kaffevm/findInJar.c:
	(getClasspathType) Always open files in binary mode.

2003-06-12 Dalibor Topic <robilad@yahoo.com>

	* libraries/javalib/rebuildLib.in:
	fixed quoting of echoed output for NetBSD.

	Reported by: Milos Negovanovic <milosn@xtra.co.nz>
	
2003-06-12 Dalibor Topic <robilad@yahoo.com>

	* ChangeLog, ChangeLog.5: rotated changelogs.
	
2003-06-11  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/baseClasses.c,
	kaffe/kaffevm/findInJar.c,
	kaffe/kaffevm/external.c,
	kaffe/kaffevm/gcFuncs.c,
	kaffe/kaffevm/itypes.c,
	kaffe/kaffevm/thread.c,
	kaffe/kaffevm/utf8const.c:
	add some debug messages to show the initialization steps
	
2003-06-11 Helmer Kraemer <hkraemer@freenet.de>

	* libraries/javalib/java/lang/System.java,
	libraries/clib/native/System.c:
	revert to the native implementation of arraycopy

See ChangeLog.5 for earlier changes.
